# $Revision: 1.11 $, $Date: 2004/03/28 20:40:56 $
Summary:	A Generic Game Engine library for 2D double-buffering animation
Summary(pl):	Biblioteka oglnego silnika gier z podwjnie buforowan animacj 2D
Name:		gengameng
Version:	4.1
Release:	4
License:	GPL
Group:		X11/Libraries
Source0:	http://www3.sympatico.ca/sarrazip/dev/%{name}-%{version}.tar.gz
# Source0-md5:	112322dbdc6684717cdfd7c61d225655
Patch0:		%{name}-config.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-acfix.patch
URL:		http://sarrazip.com/dev/burgerspace.html
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
Requires:	SDL >= 1.2.0
Requires:	SDL_image >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generic Game Engine library suitable for BurgerSpace and Cosmosmash.

%description -l pl
Biblioteka oglnego silnika gier wykorzystana w grach BurgerSpace i
Cosmosmash.

%package devel
Summary:	C++ header files for the gengameng library
Summary(pl):	Pliki nagwkowe C++ dla biblioteki gengameng
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.0
Requires:	SDL_image-devel >= 1.2.0
Requires:	libstdc++-devel

%description devel
C++ header files for the Generic Game Engine ("gengameng") library
for 2D double-buffering animation.

%description devel -l pl
Pliki nagwkowe C++ dla biblioteki oglnego silnika gier
("gengameng") z podwjnie buforowan animacj 2D.

%package static
Summary:	Static gengameng library
Summary(pl):	Statyczna biblioteka gengameng
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gengameng library.

%description static -l pl
Statyczna biblioteka gengameng.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# supplied libtool is broken (C++)
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libgengameng.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gengameng-config
%attr(755,root,root) %{_libdir}/libgengameng.so
%{_libdir}/libgengameng.la
%{_includedir}/gengameng
%{_aclocaldir}/gengameng.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libgengameng.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gengameng.spec,v $
Revision 1.11  2004/03/28 20:40:56  qboosh
- added acfix patch, release 4 for Ac

Revision 1.10  2003/10/15 12:53:01  qboosh
- added link patch, rebuild ac/am/lt, added -devel deps, added base docs

Revision 1.9  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.8  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.5  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/09/17 10:58:16  kloczek
- release 3: fix typo in Requires rule in static subpackage.

Revision 1.3  2002/09/15 22:58:30  qboosh
- pl descriptions, release 2

Revision 1.2  2002/09/15 20:01:36  kloczek
- finished.

Revision 1.1  2002/09/12 05:39:10  pascalek
- initial revision
